<bugID>1263629<Summary>Debugger steps into debugger internals in the browser toolbox</Summary><Description>That's because its promise module is Promise.jsm, which isn't flagged as "invisible to debugger". So the debugger consider it as something it should step into.

Here is one STR from :jdescottes
1. open the rule view
2. open the browser toolbox
3. add a breakpoint in rules.js line 465
 (that's "let nodeName = target &amp;&amp; target.nodeName;" on Nightly)
4. back to Firefox, highlight some text in the ruleview, right click, copy
5. you should hit your breakpoint
6. step over</Description></bugID>